from distutils.core import setup
from DistUtilsExtra.distutils_extra import build_extra, build_l10n
import glob
import os
import re

# look/set what version we have
changelog = "debian/changelog"
if os.path.exists(changelog):
    head=open(changelog).readline()
    match = re.compile(".*\((.*)\).*").match(head)
    if match:
        version = match.group(1)

setup(
    name = 'feisty-gdm-themes',
    version = version,
    data_files=[('share/gdm/themes/Human', 
                 glob.glob('Human/*.png')+glob.glob('Human/*.svg')+\
		 glob.glob('Human/*.xml')),
                ('share/gdm/themes/Human/gtk-2.0', glob.glob('Human/gtk-2.0/*')),
                ('share/gdm/themes/HumanCircle', 
		 glob.glob('HumanCircle/*.png')+glob.glob('HumanCircle/*.svg')+\
		 glob.glob('HumanCircle/*.xml')),
		('share/gdm/themes/HumanList',
                 glob.glob('HumanList/*.png')+glob.glob('HumanList/*.svg')+\
                 glob.glob('HumanList/*.xml')),
                ('share/gdm/themes/HumanList/gtk-2.0', glob.glob('HumanList/gtk-2.0/*')),
               ],
    cmdclass = { "build" : build_extra,
                 "build_l10n" :  build_l10n }
)

